Bug 1426855 - OSP10 -> OSP11 upgrade fails: openstack-panko-api is not installed during upgrade
Summary: OSP10 -> OSP11 upgrade fails: openstack-panko-api is not installed during upg...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Emilien Macchi
QA Contact: Arik Chernetsky
URL:
Whiteboard:
: 1426947 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-25 19:42 UTC by Marius Cornea
Modified: 2017-05-17 20:02 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-7.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:02:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 438201 None None None 2017-02-25 19:43:05 UTC
OpenStack gerrit 441127 None None None 2017-03-10 13:57:49 UTC
Launchpad 1667965 None None None 2017-02-25 19:42:15 UTC

Description Marius Cornea 2017-02-25 19:42:15 UTC
Description of problem:
OSP10 -> OSP11 upgrade fails: openstack-panko-api is not installed during upgrade

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-6.0.0-0.20170222195630.46117f4.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Upgrade overcloud

Actual results:
Overcloud upgrade fails with:

 Error: Could not set 'present' on ensure: No such file or directory - /etc/panko/panko.conf at 156:/etc/puppet/modules/oslo/manifests/log.pp
 Error: Could not set 'present' on ensure: No such file or directory - /etc/panko/panko.conf at 156:/etc/puppet/modules/oslo/manifests/log.pp
 Wrapped exception:
 No such file or directory - /etc/panko/panko.conf

Expected results:
Upgrade succeeds.

Additional info:

Comment 2 Carlos Camacho 2017-02-27 14:46:44 UTC
Hey, 

Since Ocata we have it enabled upstream by default 

https://review.openstack.org/#/c/435979/
https://review.openstack.org/#/c/436591/

Comment 3 Marius Cornea 2017-03-02 08:49:55 UTC
*** Bug 1426947 has been marked as a duplicate of this bug. ***

Comment 4 Marius Cornea 2017-03-22 11:21:53 UTC
This is fixed in the latest puddle.

Comment 6 errata-xmlrpc 2017-05-17 20:02:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.